commit e5905a527f523c76b8d7cc2ebe88717fa0ff7d40
Author: H.J. Lu <hjl.tools@gmail.com>
Date:   Tue Jul 29 18:11:34 2025

    x86: Pass -mno-80387 to compile pr121208-1(a|b).c
    
    Pass -mno-80387 to compile pr121208-1(a|b).c to silence
    
    .../pr121208-1a.c:11:1: sorry, unimplemented: 80387 instructions aren’t allowed in a function with the ‘no_caller_saved_registers’ attribute
    
    Partially backport the PR target/121540 fix
    
    9d7f45e9806 x86: Disallow MMX and 80387 in no_caller_saved_registers function
    
    to also add -mno-sse -mno-mmx.
    
            PR target/121208
            * gcc.target/i386/pr121208-1a.c (dg-options): Add
            -mno-sse -mno-mmx -mno-80387.
            * gcc.target/i386/pr121208-1b.c (dg-options): Likewise.
    
    Signed-off-by: H.J. Lu <hjl.tools@gmail.com>
    (cherry picked from commit c6d1f58da7eb72e8bac307d342e4655012b36a89)

diff --git a/gcc/testsuite/gcc.target/i386/pr121208-1a.c b/gcc/testsuite/gcc.target/i386/pr121208-1a.c
index ac851cb50d8..db8d3481622 100644
--- a/gcc/testsuite/gcc.target/i386/pr121208-1a.c
+++ b/gcc/testsuite/gcc.target/i386/pr121208-1a.c
@@ -1,5 +1,5 @@
 /* { dg-do compile { target *-*-linux* } } */
-/* { dg-options "-O2 -fPIC -mtls-dialect=gnu" } */
+/* { dg-options "-O2 -fPIC -mno-sse -mno-mmx -mno-80387 -mtls-dialect=gnu" } */
 
 extern __thread int bar;
 extern void func (void);
diff --git a/gcc/testsuite/gcc.target/i386/pr121208-1b.c b/gcc/testsuite/gcc.target/i386/pr121208-1b.c
index b97ac715c65..1591f7d3fed 100644
--- a/gcc/testsuite/gcc.target/i386/pr121208-1b.c
+++ b/gcc/testsuite/gcc.target/i386/pr121208-1b.c
@@ -1,4 +1,4 @@
 /* { dg-do compile { target *-*-linux* } } */
-/* { dg-options "-O2 -fPIC -mtls-dialect=gnu2" } */
+/* { dg-options "-O2 -fPIC -mno-sse -mno-mmx -mno-80387 -mtls-dialect=gnu2" } */
 
 #include "pr121208-1a.c"

